FROM node:lts-alpine

RUN apk update && apk --no-cache add shadow && \
    usermod -u 1001 node && \
    groupmod -g 1001 node

RUN find / -group 1000 -exec chgrp -h node {} \;
RUN find / -user 1000 -exec chown -h node {} \;

RUN apk add --no-cache openssh sshpass

ARG USER_UID
ARG USER_UNAME
ARG USER_GID
ARG USER_GNAME


# RUN addgroup -g 1000 gdp && \
    # adduser -h /home/gdp -D -u 1000 gdp && \
RUN adduser -u ${USER_UID} -G users -s /bin/sh -D ${USER_UNAME}
    # chown -R gdp:gdp /home/gdp

USER ${USER_UNAME}

COPY ./bashrc /home/${USER_UNAME}/.bashrc
COPY ./inputrc /home/${USER_UNAME}/.inputrc



COPY ./client-entrypoint.sh /usr/local/bin
USER root
RUN chmod +x /usr/local/bin/client-entrypoint.sh
USER ${USER_UNAME}
CMD ["/bin/sh","/usr/local/bin/client-entrypoint.sh"]
